Subject: Re: [PATCH 1/5] progress.c: replace signal() with sigaction()

From: David Kastrup <[email-masked]>
Date: Wed, 28 May 2014 11:11:05 +0200

Erik Faye-Lund <[email-masked]> writes:

> On Wed, May 28, 2014 at 10:19 AM, David Kastrup <[email-masked]> wrote:
>> Chris Packham <[email-masked]> writes:
>>
>>> On 28/05/14 18:14, Jeremiah Mahler wrote:
>>>>  static void clear_progress_signal(void)
>>>>  {
>>>>      struct itimerval v = {{0,},};
>>>> +    struct sigaction sa;
>>>> +
>>>> +    memset(&sa, 0, sizeof(sa));
>>>> +    sa.sa_handler = SIG_IGN;
>>>
>>> A C99 initialiser here would save the call to memset. Unfortunately
>>> Documentation/CodingGuidelines is fairly clear on not using C99
>>> initialisers, given the fact we're now at git 2.0 maybe it's time to
>>> revisit this policy?
>>
>> If I look at the initialization of v in the context immediately above
>> the new code, it would appear that somebody already revisited this
>> policy.
>
> Huh, the initialization of v doesn't use C99-features...?

Well, for me anything post-K&R apparently is C99.

Cf
<URL:http://computer-programming-forum.com/47-c-language/859a1b6693a0ddc5.htm>

I have to admit that gcc -c -ansi -std=c89 -pedantic does not complain,
so that makes it quite probable that I was erring somewhat on the side
of the ancient ones and zeros.

-- 
David Kastrup